#!/bin/bash
echo "Checking your system for the applications required to install and run OCSSW"
echo
echo "Searching for required applications"
app_list="bash python git curl"
for app_name in $app_list; do
  which $app_name
  if [ $? -ne 0 ]; then
    echo "You do not have this required application installed: "$app_name
    exit 1
  fi
done
echo
echo "Checking application versions"
echo
echo "bash 4.x is required; you have "
bash --version | head -1
echo
echo "Python 2.6.5 is required; you have "
python -V | head -1
echo
echo "git version 1.7.9 is required; you have "
git --version | head -1
echo
echo "curl version 7.x is required; you have "
curl --version | head -1
echo
echo "Support for SSL connections to the Ocean Color website is required in Python"
result=$(python -c 'import httplib ; c = httplib.HTTPSConnection("oceancolor.gsfc.nasa.gov"); c.request("GET", "/"); response = c.getresponse(); print response.status;')
status=$?
if [ $status -eq 0 ]; then
  echo "Your Python installation does support SSL connections to the Ocean Color website"
else
  echo "Your Python installation DOES NOT support SSL connections to the Ocean Color website."
  echo "You will need to fix this by updating your Python installation before installing and running OCSSW."
fi
